Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.sample.fields
Class Smf83BaseRecord

    java.lang.Object
      com.ibm.jzos.sample.fields.Smf83BaseRecord

Direct Known Subclasses:
  Smf83Record

    public class Smf83BaseRecord

extends java.lang.Object

Base class to map the fixed portion of SMF record 83 (RACF Security information). This code (excluding these notes) was generated using `com.ibm.jzos.recordgen.asm.RecordClassGenerator` using the following JCL:

    //ASSEMBLE EXEC ASMAC,PARM='ADATA,LIST,NOTERM,NODECK,NOOBJECT'
    //C.SYSIN DD *
          IFASMFR 83
          END
    //C.SYSADATA DD DSN=&&ADATA,DISP=(NEW,PASS),
    //           SPACE=(CYL,(3,1))
    //*
    //JAVA EXEC PROC=EXJZOSVM,VERSION='50'
    //MAINARGS DD *
    com.ibm.jzos.recordgen.asm.RecordClassGenerator
      section=SMFRCD83
      bufoffset=false
      package=com.ibm.jzos.sample.fields
      class=Smf83BaseRecord
    //SYSADATA DD DSN=&&ADATA,DISP=(OLD,DELETE)
    //STDOUT DD PATH='/home/user/Smf83BaseRecord.java',
    //          PATHOPTS=(OWRONLY,OCREAT),
    //          PATHMODE=SIRWXU
    //STDENV DD *
    ...

See Also:
  `for a hand-coded subclass of this class that glues together the components of a SMF 83 record.`

Field Summary
`protected byte[]` | `bytes`
`protected static AssemblerDatatypeFactory` | `factory`
`protected static ByteArrayField` | `SMF83DF1` SMF83DF1 DS BL34 THE FOLLOWING FIELDS ARE DIFFERENT FROM @D6C
`protected static PackedDecimalAsIntField` | `SMF83DTE` SMF83DTE DS PL4 DATE FROM TIME MACRO @M5A
`protected static BinaryAsIntField` | `SMF83FLG` SMF83FLG DS BL1 SYSTEM INDICATOR @M5A
`protected static BinaryAsIntField` | `SMF83LD1` SMF83LD1 DS BL2 LENGTH OF SECURITY SECTION @D6A
`protected static BinaryAsIntField` | `SMF83LD2` SMF83LD2 DS BL2 LENGTH OF RELOCATE SECTION @D6A
`protected static BinaryAsIntField` | `SMF83LEN` SMF83LEN DS BL2 RECORD LENGTH @M5A
`protected static BinaryAsIntField` | `SMF83LPD` SMF83LPD DS BL2 LENGTH OF PRODUCT SECTION @D6A
`protected static BinaryAsIntField` | `SMF83ND1` SMF83ND1 DS BL2 NUMBER OF SECURITY SECTIONS @D6A
`protected static BinaryAsIntField` | `SMF83ND2` SMF83ND2 DS BL2 NUMBER OF RELOCATE SECTIONS @D6A
`protected static BinaryAsIntField` | `SMF83NPD` SMF83NPD DS BL2 NUMBER OF PRODUCT SECTIONS @D6A
`protected static BinaryAsLongField` | `SMF83OD1` SMF83OD1 DS BL4 OFFSET TO SECURITY SECTION @D6A
`protected static BinaryAsLongField` | `SMF83OD2` SMF83OD2 DS BL4 OFFSET TO RELOCATE SECTION @D6A
`protected static BinaryAsLongField` | `SMF83OPD` SMF83OPD DS BL4 OFFSET TO PRODUCT SECTION @D6A
`protected static BinaryAsIntField` | `SMF83RTY` BIT MEANING WHEN SET @M5A BIT 1 SUBTYPE UTILIZED INDICATOR @M5A SMF83RTY DS BL1 RECORD TYPE(83) @M5A
`protected static ByteArrayField` | `SMF83SDS`
`protected static BinaryAsIntField` | `SMF83SEG` SMF83SEG DS BL2 SEGMENT DESCRIPTOR @M5A
`protected static StringField` | `SMF83SID` SMF83SID DS CL4 SYSTEM IDENTIFICATION @M5A
`protected static StringField` | `SMF83SSI`
`protected static BinaryAsLongField` | `SMF83TME` SMF83TME DS BL4 TOD FROM TIME MACRO - BINARY @M5A
`protected static BinaryAsIntField` | `SMF83TRP`
`protected static BinaryAsIntField` | `SMF83TYP` SMF83TYP DS BL2 RECORD SUBTYPE =1 @M5A
`protected static BinaryAsIntField` | `SMF83XXX` SMF83XXX DS BL2 RESERVED @D6A
`static int` | `SMFRCD83` IFASMFR 83 %IFABGN1: ; SMF RECORD FIXED HEADER SECTION @D6A

Constructor Summary
`Smf83BaseRecord(byte[] buffer)`

Method Summary
`byte[]` | `getSmf83df1()`
`int` | `getSmf83dte()`
`int` | `getSmf83flg()`
`int` | `getSmf83ld1()`
`int` | `getSmf83ld2()`
`int` | `getSmf83len()`
`int` | `getSmf83lpd()`
`int` | `getSmf83nd1()`
`int` | `getSmf83nd2()`
`int` | `getSmf83npd()`
`long` | `getSmf83od1()`
`long` | `getSmf83od2()`
`long` | `getSmf83opd()`
`int` | `getSmf83rty()`
`byte[]` | `getSmf83sds()`
`int` | `getSmf83seg()`
`java.lang.String` | `getSmf83sid()`
`java.lang.String` | `getSmf83ssi()`
`long` | `getSmf83tme()`
`int` | `getSmf83trp()`
`int` | `getSmf83typ()`
`int` | `getSmf83xxx()`
`void` | `setSmf83df1(byte[] smf83df1)`
`void` | `setSmf83dte(int smf83dte)`
`void` | `setSmf83flg(int smf83flg)`
`void` | `setSmf83ld1(int smf83ld1)`
`void` | `setSmf83ld2(int smf83ld2)`
`void` | `setSmf83len(int smf83len)`
`void` | `setSmf83lpd(int smf83lpd)`
`void` | `setSmf83nd1(int smf83nd1)`
`void` | `setSmf83nd2(int smf83nd2)`
`void` | `setSmf83npd(int smf83npd)`
`void` | `setSmf83od1(long smf83od1)`
`void` | `setSmf83od2(long smf83od2)`
`void` | `setSmf83opd(long smf83opd)`
`void` | `setSmf83rty(int smf83rty)`
`void` | `setSmf83sds(byte[] smf83sds)`
`void` | `setSmf83seg(int smf83seg)`
`void` | `setSmf83sid(java.lang.String smf83sid)`
`void` | `setSmf83ssi(java.lang.String smf83ssi)`
`void` | `setSmf83tme(long smf83tme)`
`void` | `setSmf83trp(int smf83trp)`
`void` | `setSmf83typ(int smf83typ)`
`void` | `setSmf83xxx(int smf83xxx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected static AssemblerDatatypeFactory factory

### SMFRCD83

    public static int SMFRCD83

  IFASMFR 83
  %IFABGN1: ;
  SMF RECORD FIXED HEADER SECTION @D6A

### SMF83LEN

    protected static BinaryAsIntField SMF83LEN

  SMF83LEN DS BL2 RECORD LENGTH @M5A

### SMF83SEG

    protected static BinaryAsIntField SMF83SEG

  SMF83SEG DS BL2 SEGMENT DESCRIPTOR @M5A

### SMF83FLG

    protected static BinaryAsIntField SMF83FLG

  SMF83FLG DS BL1 SYSTEM INDICATOR @M5A

### SMF83RTY

    protected static BinaryAsIntField SMF83RTY

  BIT MEANING WHEN SET @M5A
  BIT 1 SUBTYPE UTILIZED INDICATOR @M5A
  SMF83RTY DS BL1 RECORD TYPE(83) @M5A

### SMF83TME

    protected static BinaryAsLongField SMF83TME

  SMF83TME DS BL4 TOD FROM TIME MACRO - BINARY @M5A

### SMF83DTE

    protected static PackedDecimalAsIntField SMF83DTE

  SMF83DTE DS PL4 DATE FROM TIME MACRO @M5A

### SMF83SID

    protected static StringField SMF83SID

  SMF83SID DS CL4 SYSTEM IDENTIFICATION @M5A

### SMF83DF1

    protected static ByteArrayField SMF83DF1

  SMF83DF1 DS BL34 THE FOLLOWING FIELDS ARE DIFFERENT FROM @D6C

### SMF83SSI

    protected static StringField SMF83SSI

### SMF83TYP

    protected static BinaryAsIntField SMF83TYP

  SMF83TYP DS BL2 RECORD SUBTYPE =1 @M5A

### SMF83SDS

    protected static ByteArrayField SMF83SDS

### SMF83TRP

    protected static BinaryAsIntField SMF83TRP

### SMF83XXX

    protected static BinaryAsIntField SMF83XXX

  SMF83XXX DS BL2 RESERVED @D6A

### SMF83OPD

    protected static BinaryAsLongField SMF83OPD

  SMF83OPD DS BL4 OFFSET TO PRODUCT SECTION @D6A

### SMF83LPD

    protected static BinaryAsIntField SMF83LPD

  SMF83LPD DS BL2 LENGTH OF PRODUCT SECTION @D6A

### SMF83NPD

    protected static BinaryAsIntField SMF83NPD

  SMF83NPD DS BL2 NUMBER OF PRODUCT SECTIONS @D6A

### SMF83OD1

    protected static BinaryAsLongField SMF83OD1

  SMF83OD1 DS BL4 OFFSET TO SECURITY SECTION @D6A

### SMF83LD1

    protected static BinaryAsIntField SMF83LD1

  SMF83LD1 DS BL2 LENGTH OF SECURITY SECTION @D6A

### SMF83ND1

    protected static BinaryAsIntField SMF83ND1

  SMF83ND1 DS BL2 NUMBER OF SECURITY SECTIONS @D6A

### SMF83OD2

    protected static BinaryAsLongField SMF83OD2

  SMF83OD2 DS BL4 OFFSET TO RELOCATE SECTION @D6A

### SMF83LD2

    protected static BinaryAsIntField SMF83LD2

  SMF83LD2 DS BL2 LENGTH OF RELOCATE SECTION @D6A

### SMF83ND2

    protected static BinaryAsIntField SMF83ND2

  SMF83ND2 DS BL2 NUMBER OF RELOCATE SECTIONS @D6A

### bytes

    protected byte[] bytes

Constructor Detail

### Smf83BaseRecord

    public Smf83BaseRecord(byte[] buffer)

Method Detail

### getSmf83len

    public int getSmf83len()

### setSmf83len

    public void setSmf83len(int smf83len)

### getSmf83seg

    public int getSmf83seg()

### setSmf83seg

    public void setSmf83seg(int smf83seg)

### getSmf83flg

    public int getSmf83flg()

### setSmf83flg

    public void setSmf83flg(int smf83flg)

### getSmf83rty

    public int getSmf83rty()

### setSmf83rty

    public void setSmf83rty(int smf83rty)

### getSmf83tme

    public long getSmf83tme()

### setSmf83tme

    public void setSmf83tme(long smf83tme)

### getSmf83dte

    public int getSmf83dte()

### setSmf83dte

    public void setSmf83dte(int smf83dte)

### getSmf83sid

    public java.lang.String getSmf83sid()

### setSmf83sid

    public void setSmf83sid(java.lang.String smf83sid)

### getSmf83df1

    public byte[] getSmf83df1()

### setSmf83df1

    public void setSmf83df1(byte[] smf83df1)

### getSmf83ssi

    public java.lang.String getSmf83ssi()

### setSmf83ssi

    public void setSmf83ssi(java.lang.String smf83ssi)

### getSmf83typ

    public int getSmf83typ()

### setSmf83typ

    public void setSmf83typ(int smf83typ)

### getSmf83sds

    public byte[] getSmf83sds()

### setSmf83sds

    public void setSmf83sds(byte[] smf83sds)

### getSmf83trp

    public int getSmf83trp()

### setSmf83trp

    public void setSmf83trp(int smf83trp)

### getSmf83xxx

    public int getSmf83xxx()

### setSmf83xxx

    public void setSmf83xxx(int smf83xxx)

### getSmf83opd

    public long getSmf83opd()

### setSmf83opd

    public void setSmf83opd(long smf83opd)

### getSmf83lpd

    public int getSmf83lpd()

### setSmf83lpd

    public void setSmf83lpd(int smf83lpd)

### getSmf83npd

    public int getSmf83npd()

### setSmf83npd

    public void setSmf83npd(int smf83npd)

### getSmf83od1

    public long getSmf83od1()

### setSmf83od1

    public void setSmf83od1(long smf83od1)

### getSmf83ld1

    public int getSmf83ld1()

### setSmf83ld1

    public void setSmf83ld1(int smf83ld1)

### getSmf83nd1

    public int getSmf83nd1()

### setSmf83nd1

    public void setSmf83nd1(int smf83nd1)

### getSmf83od2

    public long getSmf83od2()

### setSmf83od2

    public void setSmf83od2(long smf83od2)

### getSmf83ld2

    public int getSmf83ld2()

### setSmf83ld2

    public void setSmf83ld2(int smf83ld2)

### getSmf83nd2

    public int getSmf83nd2()

### setSmf83nd2

    public void setSmf83nd2(int smf83nd2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD